org.springframework.batch.core

## Class JobExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.springframework.batch.core.JobExecutionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DuplicateJobException, JobExecutionAlreadyRunningException, JobExecutionNotFailedException, JobExecutionNotRunningException, JobExecutionNotStoppedException, JobInstanceAlreadyCompleteException, JobInstanceAlreadyExistsException, JobInterruptedException, JobParametersInvalidException, JobParametersNotFoundException, JobRestartException, NoSuchJobException, NoSuchJobExecutionException, NoSuchJobInstanceException

      public class JobExecutionException
      extends java.lang.Exception

  Root of exception hierarchy for checked exceptions in job and step execution. Clients of the `Job` should expect to have to catch and deal with these exceptions because they signal a user error, or an inconsistent state between the user's instructions and the data.
  Author:
    Dave Syer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobExecutionException(java.lang.String msg)` Construct a `JobExecutionException` with a generic message.
    `JobExecutionException(java.lang.String msg, java.lang.Throwable cause)` Construct a `JobExecutionException` with a generic message and a cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobExecutionException

          public JobExecutionException(java.lang.String msg)

      Construct a `JobExecutionException` with a generic message.
      Parameters:
        `msg` - the message

    - #### JobExecutionException

          public JobExecutionException(java.lang.String msg,
                                       java.lang.Throwable cause)

      Construct a `JobExecutionException` with a generic message and a cause.
      Parameters:
        `msg` - the message
        `cause` - the cause of the exception